using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace zad_1_SPREMAN
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int l = int.Parse(s[1]);
            int[] h = new int[n];
            h = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);
            int ind = -1;
            for (int i = 0; i < n; i++)
            {
                if (h[i] <= l)
                {
                    ind = i + 1;
                    break;
                }
            }
            Console.WriteLine(ind);
        }
    }
}